For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList environment variables
      • POSTCreate environment variable
      • GETGet environment variable
      • PATCHUpdate environment variable
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsEnvironment Variables

Create environment variable

POST
/v1/convai/environment-variables
POST
/v1/convai/environment-variables
$curl -X POST https://api.elevenlabs.io/v1/convai/environment-variables \
> -H "Content-Type: application/json" \
> -d '{
> "type": "string",
> "label": "string",
> "values": {}
>}'
1{
2 "label": "string",
3 "created_at_unix_secs": 1,
4 "updated_at_unix_secs": 1,
5 "type": "string",
6 "id": "string",
7 "workspace_id": "string",
8 "values": {},
9 "created_by_user_id": "string"
10}
Create a new environment variable for the workspace
Was this page helpful?
Previous

Get environment variable

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
stringobjectRequired
OR
secretobjectRequired
OR
auth_connectionobjectRequired

Response

Successful Response
labelstring
created_at_unix_secsinteger
updated_at_unix_secsinteger
typeenum
Allowed values:
idstring
workspace_idstring
valuesmap from strings to strings or map from strings to objects
created_by_user_idstring or null

Errors

400
Bad Request Error
409
Conflict Error
422
Unprocessable Entity Error